Subject: Re: Comments on framework-12

From: "Yang, Lily L" <[email-masked]>
Date: Mon, 12 Jan 2004 14:20:15 -0800

I am working on the next revision for framework to incorporate all the comments. So please let me know if you have further comments by tomorrow.

> -----Original Message-----
> From: Forwarding and Control Element Separation
> [mailto:[email-masked]]On Behalf Of Yang, Lily L
> Sent: Monday, January 12, 2004 11:20 AM
> To: [email-masked]
> Subject: Re: Comments on framework-12
> 
> 
> I am hesitant to start enumerating different possible ways to 
> do load sharing or whatever the multiple CEs set out to do in 
> this document. Because it is a complex issue with many 
> possible ways to do it (by FEM/CEM, or CE-CE protocol 
> negotiation, or CE-FE negotiation) and from the discussion 
> here I don't think we've thought through them yet. I would 
> propose that we stay at the high level by stating simply that 
> some kind of mechanisms should be provided to maintain 
> coherent command of FEs (For example, first come first serve 
> could be the default behavior while other behaviors might be 
> negotiated through the protocol).
> 
> Do people feel that is sufficient? You are welcome to propose 
> the text for this.
> 
> > -----Original Message-----
> > From: Forwarding and Control Element Separation
> > [mailto:[email-masked]]On Behalf Of Jamal Hadi Salim
> > Sent: Monday, January 12, 2004 7:14 AM
> > To: [email-masked]
> > Subject: Re: Comments on framework-12
> > 
> > 
> > On Sun, 2004-01-11 at 23:24, [email-masked] wrote:
> > > On måndag, jan 12, 2004, at 12:28 Asia/Seoul, Jamal Hadi 
> > Salim wrote:
> > >
> > > 
> > > What I am looking for is that we acknowledge that if there 
> > is more then 
> > > one behavior then the framework should indicate that  there 
> > needs to be 
> > > exchange between the CE and FE about the behavior to be applied.
> > > 
> > 
> > I agree it is a good idea to describe the possible ways to 
> achieve the
> > end goal since the protocol talks only about requiring 
> > mechanisms to be
> > provided. 
> > What you refer to above will be needed if the scheme is not 
> > transparent
> > to the FE (which is achievable if you use a multicast or 
> > broadcast wire).
> > In the couple of non-transparent schemes i could think of,
> > the FE will have to be involved in migrations and may need to be
> > explicitly told to do so. 
> > 
> > > I also think it reasonable that there be a default behavior 
> > established 
> > > in the Framework, and that then the semantics of the protocol can 
> > > include a method for negotiation of a different behavior.
> > > 
> > 
> > If you assumed the non-transparent scheme then it will be 
> fair to make
> > such a default specification.
> > 
> > Could we instead of having it as part of the protocol have 
> > this be left 
> > to xEM (x= F or C)interface? I am just worried about 
> > christmas treeing.
> > That doesnt mean it shouldnt be in the draft.
> > 
> > 
> > cheers,
> > jamal
> > 
> > 
>

---

From: [email-masked]
Date: Tue, 13 Jan 2004 09:44:55 +0900

>> Do people feel that is sufficient? You are welcome to propose

I think it is important that the way in which the FE will process
commands be determinate.  I agree that there are many schemes for
setting up such a determination and that there is no reason to go down
that rat hole (or is it up that christmas tree) at this point in this
document, but there I believe there should be a presumption of a known
state in case a protocol, either by design, by implementation or by
use, does not specify any particular prioritization scheme.

I also think this task is better handled by the ForCES protocol then by
the manager protocols as it is the CE that must be able to predict the
behavior, and thus the state, of the FE and it is also possible that
the CE might change the rules midstream, e.g. if load sharing were to
start  up at some time, long after the initial association was formed,
when a new CE comes on line.  That is not to say that the xEM can't
have configured something in advance, but then I would think it would
still be responsibility of the ForCES protocol to determine the method
being used (i.e. how can the CE be assured that the FEM has effected
the same state in the FE that the CEM has told the CE about as there is
no presumption of xEM coordination?).

I suggest the following wording:

- to section 3.2

      Instead, FEs
      accept commands from any CE authorized to control them, and it is
      up to the CEs to coordinate among themselves to achieve redundancy,
      load sharing or distributed control.

- add

Unless otherwise configured or determined by a ForCEs protocol
exchange, each FE will process authorized  incoming commands directed
at it as it receives them on a first come first serve basis.

a.